## libquazip 0.4.4

=== doc/latex/Makefile ===
all: refman.dvi

ps: refman.ps

pdf: refman.pdf

ps_2on1: refman_2on1.ps

pdf_2on1: refman_2on1.pdf

refman.ps: refman.dvi
	dvips -o refman.ps refman.dvi

refman.pdf: refman.ps
	ps2pdf refman.ps refman.pdf

refman.dvi: clean refman.tex doxygen.sty
	echo "Running latex..."
	latex refman.tex
	echo "Running makeindex..."
	makeindex refman.idx
	echo "Rerunning latex...."
	latex refman.tex
	latex_count=5 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      latex refman.tex ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done

refman_2on1.ps: refman.ps
	psnup -2 refman.ps >refman_2on1.ps

refman_2on1.pdf: refman_2on1.ps
	ps2pdf refman_2on1.ps refman_2on1.pdf

clean:
	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out refman.pdf

=== debian/changelog ===
libquazip (0.4.4-1) unstable; urgency=low

  * Initial release (Closes: #675276)

 -- Eric Maeker <eric.maeker@gmail.com>  Mon, 30 May 2012 12:00:00 +0100

=== debian/control ===
Source: libquazip
Section: libs
Priority: optional
Maintainer: Debian Med Project List <debian-med@lists.debian.org>
Uploaders: Eric Maeker <eric.maeker@gmail.com>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.7.0), libxext-dev, zlib1g-dev
Standards-Version: 3.9.3
Homepage: https://sourceforge.net/projects/quazip/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libquazip/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libquazip/trunk/

Package: libquazip0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libquazip-doc
Description: C++ wrapper wrapper for ZIP/UNZIP
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.

Package: libquazip0-dev
Section: libdevel
Provides: libquazip-dev
Conflicts: libquazip-dev
Architecture: any
Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: C++ wrapper wrapper for ZIP/UNZIP (development files)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.

Package: libquazip0-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libquazip
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: libquazip-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (documentation)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the API documentation in HTML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Extract the current version number and package name
DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
name := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

QMAKE_GENERIC := \
		LIBS+=-lz \
		VERSION=$(VERSION)

%:
	dh $@ --buildsystem=qmake_qt4 --parallel --dbg-package=libquazip0-dbg
	

override_dh_auto_configure:
	dh_auto_configure -- $(QMAKE_GENERIC) $(extra_configure_opts)

override_dh_auto_clean:
	rm -Rf quazip/.obj
	rm -Rf quazip/.moc
	find . -name Makefile -delete
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp

## libquazip 0.5

=== CMakeLists.txt ===
project (QuaZip)
cmake_minimum_required(VERSION 2.6)

set(qt_min_version "4.5.0")
find_package(Qt4 REQUIRED)
set(QT_USE_QTGUI false)
include(${QT_USE_FILE})

# Use system zlib on unix and Qt ZLIB on Windows
IF(UNIX)
	find_package(ZLIB REQUIRED)
ELSE(UNIX)
	SET(ZLIB_INCLUDE_DIRS "Qt/src/3rdparty/zlib" CACHE STRING "Path to ZLIB headers of Qt")
	SET(ZLIB_LIBRARIES "")
	IF(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
		MESSAGE("Please specify a valid zlib include dir")
	ENDIF(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
ENDIF(UNIX)

# All build libraries are moved to this directory
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)

add_subdirectory(quazip)

install(FILES FindQuaZip.cmake DESTINATION ${CMAKE_ROOT}/Modules)

=== debian/changelog ===
libquazip (0.5-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream
  * creating multi-arch binaries
    * debian/rules
    * debian/libquazip0.install
    * debian/libquazip0-dev.install
  * debian/copyright: removed symlink
  * including upstream changelog in all packages
  * debian/libquazip-doc: lintian overrides duplicate files

  [ Andreas Tille ]
  * debian/control: removed dependency from libquazip0-headers
    which is no part of the package

 -- Eric Maeker <eric.maeker@gmail.com>  Tue, 18 Dec 2012 08:34:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: libquazip
 Section: libs
 Priority: optional
-Maintainer: Debian Med Project List <debian-med@lists.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Eric Maeker <eric.maeker@gmail.com>,
  Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.7.0), libxext-dev, zlib1g-dev
+Build-Depends: debhelper (>= 9), libqt4-dev (>= 4:4.7.0), libxext-dev, zlib1g-dev
 Standards-Version: 3.9.3
 Homepage: https://sourceforge.net/projects/quazip/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libquazip/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libquazip/trunk/
 
 Package: libquazip0
+Multi-Arch: same
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libquazip-doc
 Description: C++ wrapper wrapper for ZIP/UNZIP
@@ -30,8 +32,9 @@
 Section: libdevel
 Provides: libquazip-dev
 Conflicts: libquazip-dev
+Multi-Arch: same
 Architecture: any
-Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}
 Description: C++ wrapper wrapper for ZIP/UNZIP (development files)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
@@ -47,6 +50,7 @@
 
 Package: libquazip0-dbg
 Priority: extra
+Multi-Arch: same
 Architecture: any
 Section: debug
 Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}
@@ -63,8 +67,27 @@
  .
  This package contains the debugging symbols for Qt Creator IDE.
 
+#Package: libquazip0-headers
+#Section: libdevel
+#Multi-Arch: foreign
+#Architecture: all
+#Depends: ${misc:Depends}
+#Description: C++ wrapper for ZIP/UNZIP (documentation)
+# QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
+# can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
+# .
+# QuaZIP allows you to access files inside ZIP archives using QIODevice API,
+# and that means that you can also use QTextStream, QDataStream or
+# whatever you would like to use on your zipped files.
+# .
+# QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
+# from and writing to ZIP archives.
+# .
+# This package contains the headers files for the dev package.
+
 Package: libquazip-doc
 Section: doc
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}
 Description: C++ wrapper for ZIP/UNZIP (documentation)

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,13 @@
 VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
 name := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 
+# Actually not needed
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 QMAKE_GENERIC := \
 		LIBS+=-lz \
-		VERSION=$(VERSION)
+		VERSION=$(VERSION) \
+		LIB_ARCH="$(DEB_HOST_MULTIARCH)"
 
 %:
 	dh $@ --buildsystem=qmake_qt4 --parallel --dbg-package=libquazip0-dbg
@@ -20,13 +24,24 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(QMAKE_GENERIC) $(extra_configure_opts)
+	cp NEWS.txt NEWS
 
 override_dh_auto_clean:
 	rm -Rf quazip/.obj
 	rm -Rf quazip/.moc
 	find . -name Makefile -delete
+	rm -Rf NEWS
 	dh_auto_clean
 
 override_dh_auto_install:
-	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp
+	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp 
 
+override_dh_installchangelogs:
+	pwd
+#	cp NEWS.txt NEWS
+	dh_installchangelogs -plibquazip0 NEWS upstream
+	dh_installchangelogs -plibquazip0-dev NEWS upstream
+	dh_installchangelogs -plibquazip0-dbg NEWS upstream
+	dh_installchangelogs -plibquazip0-headers NEWS upstream
+	dh_installchangelogs
+

## libquazip 0.5.1

=== debian/changelog ===
libquazip (0.5.1-2) unstable; urgency=low

  [ Rohan Garg <rohangarg@kubuntu.org> ]
  * Make sure libquazip-dev depends on zlib1g-dev (Closes: #712905)

  [ Andreas Tille ]
  * Remove the just created README.Debian that explains rather historic
    status than the current package
  * debian/control:
     - Standards-Version: 3.9.4
     - DM-Upload-Allowed removed
     - cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jun 2013 08:27:25 +0200

libquazip (0.5.1-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream
  * debian/patch: Updating patches (multiarch, remove tests)
  * Static lib
    * debian/rules: building the static version of the lib
    * debian/libquazip0-dev.install: adding the static lib to the dev package
  * debian/rules: libquazip0-headers was removed
  * Adding debian/libquazip-doc.lintian-overrides

  [ Andreas Tille ]
  * remove debian/d-{devlibdeps,shlibmove} which were injected as a hack
    aroung not yet working d-shlibs but are not used anyway

 -- Eric Maeker <eric.maeker@gmail.com>  Mon, 18 Mar 2013 18:02:42 +0100

=== debian/control ===
Source: libquazip
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Eric Maeker <eric.maeker@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libqt4-dev (>= 4:4.7.4),
               libxext-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libquazip/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libquazip/trunk/
Homepage: https://sourceforge.net/projects/quazip/

Package: libquazip0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper wrapper for ZIP/UNZIP
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.

Package: libquazip0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip0 (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Conflicts: libquazip-dev
Provides: libquazip-dev
Description: C++ wrapper wrapper for ZIP/UNZIP (development files)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.

Package: libquazip0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libquazip0 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for libquazip
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: libquazip-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (documentation)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the API documentation in HTML.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
 name := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 
-# Actually not needed
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 QMAKE_GENERIC := \
@@ -18,12 +17,15 @@
 		VERSION=$(VERSION) \
 		LIB_ARCH="$(DEB_HOST_MULTIARCH)"
 
+QMAKE_STATIC := CONFIG+=staticlib -o Makefile.Static
+
 %:
 	dh $@ --buildsystem=qmake_qt4 --parallel --dbg-package=libquazip0-dbg
 	
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(QMAKE_GENERIC) $(extra_configure_opts)
+	dh_auto_configure -- $(QMAKE_GENERIC) $(QMAKE_STATIC) $(extra_configure_opts)
 	cp NEWS.txt NEWS
 
 override_dh_auto_clean:
@@ -33,15 +35,22 @@
 	rm -Rf NEWS
 	dh_auto_clean
 
+override_dh_auto_build:
+	# Build the static lib
+	dh_auto_build -Smakefile -- -f Makefile.Static
+	rm -Rf quazip/.obj
+	rm -Rf quazip/.moc
+	# Build the dynamic lib
+	dh_auto_build -Smakefile
+
 override_dh_auto_install:
-	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp 
+	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp
+	cp -a quazip/libquazip.a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_installchangelogs:
-	pwd
-#	cp NEWS.txt NEWS
 	dh_installchangelogs -plibquazip0 NEWS upstream
 	dh_installchangelogs -plibquazip0-dev NEWS upstream
 	dh_installchangelogs -plibquazip0-dbg NEWS upstream
-	dh_installchangelogs -plibquazip0-headers NEWS upstream
+	#dh_installchangelogs -plibquazip0-headers NEWS upstream
 	dh_installchangelogs

## libquazip 0.6.2

=== doc/latex/Makefile ===
--- 
+++ 
@@ -28,6 +28,8 @@
 	      latex refman.tex ;\
 	      latex_count=`expr $$latex_count - 1` ;\
 	    done
+	makeindex refman.idx
+	latex refman.tex
 
 refman_2on1.ps: refman.ps
 	psnup -2 refman.ps >refman_2on1.ps
@@ -36,4 +38,4 @@
 	ps2pdf refman_2on1.ps refman_2on1.pdf
 
 clean:
-	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out refman.pdf
+	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out *.brf *.blg *.bbl refman.pdf

=== debian/changelog ===
libquazip (0.6.2-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 14:58:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libquazip
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Eric Maeker <eric.maeker@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 
 %:
 	dh $@ --buildsystem=qmake_qt4 --parallel --dbg-package=libquazip0-dbg
-	
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(QMAKE_GENERIC) $(extra_configure_opts)
@@ -31,8 +30,12 @@
 override_dh_auto_clean:
 	rm -Rf quazip/.obj
 	rm -Rf quazip/.moc
+	rm -Rf quazip/libquazip.so.*
+	rm -Rf quazip/libquazip.so
+	rm -Rf quazip/libquazip.a
 	find . -name Makefile -delete
 	rm -Rf NEWS
+	rm -Rf Makefile.Static quazip/Makefile.Static
 	dh_auto_clean
 
 override_dh_auto_build:
@@ -53,4 +56,3 @@
 	dh_installchangelogs -plibquazip0-dbg NEWS upstream
 	#dh_installchangelogs -plibquazip0-headers NEWS upstream
 	dh_installchangelogs
-

## libquazip 0.7

=== debian/changelog ===
libquazip (0.7-2) unstable; urgency=medium

  [Eric Maeker]
  * Add some missing Conflicts, Breaks, Replaces to headers package
  * headers package was empty

  [Andreas Tille]
  * renaming package libquazip1-headers to libquazip-headers
  * Add missing Conflicts / Breaks / Provides / Replaces statements
    Closes: #755196

 -- Eric Maeker <eric.maeker@gmail.com>  Wed, 13 Aug 2014 11:50:31 +0200

libquazip (0.7-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream
  * debian/patches:
    - Removed multiarch patch as it is now merged in upstream
  * debian/control;debian/rules
    - renaming package libquazip1-dev to libquazip-dev
    - renaming package libquazip-qt5-1-dev to libquazip-qt5-dev

 -- Eric Maeker <eric.maeker@gmail.com>  Sat, 09 Aug 2014 19:18:16 +0200

libquazip (0.6.2-2) unstable; urgency=low

  [ Eric Maeker ]
  * debian/rules;debian/control;debian/*qt5*:
     - renaming qt5 package libquazip1-qt5{...} to libquazip-qt5-1{...}
  * debian/copyright:
     - adding LGPL3 (Thanks to Thorsten Alteholz)
  * debian/rules:
     - managing conflicts/replaces between libquazip0 and libquazip1

  [ Andreas Tille ]
  * debian/control: libquazip1-dev Provides: libquazip-dev

 -- Eric Maeker <eric.maeker@gmail.com>  Sun, 20 Jul 2014 10:47:03 +0200

libquazip (0.6.2-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream release
  * debian/control:
     - Standards-Version: 3.9.5
  * debian/rules;debian/control;debian/*qt5*:
     - Dual build: Qt4 & Qt5
  * debian/rules
     - including quazip unit-tests in override_dh_auto_test
  * debian/*.lintian-overrides
     - managing multiarch warnings
  * patches:
     - updating patches to new upstream
     - "-qt5" in target and lib names
  * patches;debian/control;debian/*.symbols*
     - renaming libquazip0 to libquazip1, updating lib soname version
     - library soname version was switched to the qmake project files defined
       ABI version (1.0.0), not the code release version (Closes: #719742)

  [ Andreas Tille ]
  * debian/control: Fix Vcs fields using `cme fix dpkg-control`

 -- Eric Maeker <eric.maeker@gmail.com>  Mon, 14 Jul 2014 16:22:38 +0200

=== debian/control ===
Source: libquazip
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Eric Maeker <eric.maeker@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libqt4-dev (>= 4:4.7.4),
               qt4-qmake (>= 4:4.7.4),
               qtchooser,
               qt5-default,
               qt5-qmake,
               libxext-dev,
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libquazip/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libquazip/trunk/
Homepage: https://sourceforge.net/projects/quazip/

Package: libquazip1
Replaces: libquazip0
Conflicts: libquazip0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper wrapper for ZIP/UNZIP (Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip-dev
Replaces: libquazip0-dev, libquazip1-dev
Conflicts: libquazip0-dev, libquazip1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip1 (= ${binary:Version}),
         libquazip-headers (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip-dbg
Replaces: libquazip0-dbg, libquazip1-dbg
Conflicts: libquazip0-dbg, libquazip1-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libquazip1 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for libquazip (Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the debugging symbols for Qt Creator IDE.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip-qt5-1
Replaces: libquazip1-qt5
Provides: libquazip1-qt5
Breaks: libquazip1-qt5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper wrapper for ZIP/UNZIP (Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 QuaZIP built using Qt5 libraries.

Package: libquazip-qt5-dev
Replaces: libquazip-qt5-1-dev
Conflicts: libquazip-qt5-1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip-qt5-1 (= ${binary:Version}),
         libquazip-headers (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.
 .
 QuaZIP built using Qt5 libraries.

Package: libquazip-qt5-dbg
Replaces: libquazip-qt5-1-dbg
Conflicts: libquazip-qt5-1-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libquazip-qt5-1 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for libquazip (Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the debugging symbols for Qt Creator IDE.
 .
 QuaZIP built using Qt5 libraries.


Package: libquazip-headers
Conflicts: libquazip0-dev, libquazip1-headers
Replaces: libquazip1-headers
Breaks: libquazip1-headers
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (development header files)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the headers of the library.

Package: libquazip-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (documentation)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the API documentation in HTML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This code is released under the BSD-3 Clause
# Created by Eric Maeker, 2012 - 2014

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable multiarch builds & prepare qmake vars
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
QMAKE_GENERIC := -r LIBS+=-lz LIB_ARCH="$(DEB_HOST_MULTIARCH)"
QMAKE_STATIC := CONFIG+=staticlib
QT4_SO_PATH = build/qt4/so
QT5_SO_PATH = build/qt5/so
QT4_STATIC_PATH = build/qt4/static
QT5_STATIC_PATH = build/qt5/static
PATH_TO_SOURCE = ../../..

# This has to be exported to make some magic below work.
export DH_OPTIONS
export NO_DOCS := no
export QMAKE_LIBDIR=/usr/lib

%:
	dh $@ --buildsystem=qmake --parallel #--with migrations

override_dh_auto_configure:
	mkdir -p $(QT4_SO_PATH) $(QT5_SO_PATH) $(QT4_STATIC_PATH) $(QT5_STATIC_PATH)

	# Qt4 builds - qmake (dynamic and static)
	QT_SELECT=qt4 \
	dh_auto_configure -B$(QT4_SO_PATH) -- $(QMAKE_GENERIC) \
		BUILD_DIR=$(QT4_SO_PATH) \
		"QMAKE_CXXFLAGS=$(CFLAGS)" \
		$(extra_configure_opts) \
		$(PATH_TO_SOURCE)/quazip.pro
	QT_SELECT=qt4 \
	dh_auto_configure -B$(QT4_STATIC_PATH) -- $(QMAKE_GENERIC) $(QMAKE_STATIC) \
		BUILD_DIR=$(QT4_STATIC_PATH) \
		"QMAKE_CXXFLAGS=$(CFLAGS)" \
		$(extra_configure_opts) \
		$(PATH_TO_SOURCE)/quazip.pro

	# Qt5 builds - qmake (dynamic and static)
	QT_SELECT=qt5 \
	dh_auto_configure -B$(QT5_SO_PATH) -- $(QMAKE_GENERIC) \
		BUILD_DIR=$(QT5_SO_PATH) \
		"QMAKE_CXXFLAGS=$(CFLAGS)" \
		$(extra_configure_opts) \
		$(PATH_TO_SOURCE)/quazip.pro
	QT_SELECT=qt5 \
	dh_auto_configure -B$(QT5_STATIC_PATH) -- $(QMAKE_GENERIC) $(QMAKE_STATIC) \
		BUILD_DIR=$(QT5_STATIC_PATH) \
		"QMAKE_CXXFLAGS=$(CFLAGS)" \
		$(extra_configure_opts) \
		$(PATH_TO_SOURCE)/quazip.pro

	cp NEWS.txt NEWS

override_dh_auto_build:
	# Qt4 builds - make (dynamic and static)
	QT_SELECT=qt4 dh_auto_build -B$(QT4_SO_PATH)
	QT_SELECT=qt4 dh_auto_build -B$(QT4_STATIC_PATH)

	# Qt5 builds - make (dynamic and static)
	QT_SELECT=qt5 dh_auto_build -B$(QT5_SO_PATH)
	QT_SELECT=qt5 dh_auto_build -B$(QT5_STATIC_PATH)

override_dh_auto_test:
	$(QT4_STATIC_PATH)/qztest/qztest
	$(QT5_STATIC_PATH)/qztest/qztest

override_dh_auto_clean:
	dh_auto_clean -B$(QT4_SO_PATH)
	dh_auto_clean -B$(QT4_STATIC_PATH)
	dh_auto_clean -B$(QT5_SO_PATH)
	dh_auto_clean -B$(QT5_STATIC_PATH)
	rm -Rf NEWS

override_dh_auto_install:
	# Install static builds
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a $(QT4_STATIC_PATH)/quazip/libquazip.a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a $(QT5_STATIC_PATH)/quazip/libquazip-qt5.a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	
	# Install Qt4 packages
	dh_auto_install -B$(QT4_SO_PATH) -plibquazip1
	dh_auto_install -B$(QT4_SO_PATH) -plibquazip-dev

	# Install Qt5 packages
	dh_auto_install -B$(QT5_SO_PATH) -plibquazip-qt5-1
	dh_auto_install -B$(QT5_SO_PATH) -plibquazip-qt5-dev

override_dh_installchangelogs:
	dh_installchangelogs -plibquazip1 NEWS upstream
	dh_installchangelogs -plibquazip1-dev NEWS upstream
	#dh_installchangelogs -plibquazip-dbg NEWS upstream
	dh_installchangelogs -plibquazip-qt5-1 NEWS upstream
	dh_installchangelogs -plibquazip-qt5-dev NEWS upstream
	dh_installchangelogs

override_dh_strip:
	dh_strip -plibquazip1 --dbg-package=libquazip-dbg
	dh_strip -plibquazip-qt5-1 --dbg-package=libquazip-qt5-dbg

override_dh_install:
	dh_install --list-missing

## libquazip 0.7.1

=== doc/latex/Makefile ===
--- 
+++ 
@@ -28,8 +28,6 @@
 	      latex refman.tex ;\
 	      latex_count=`expr $$latex_count - 1` ;\
 	    done
-	makeindex refman.idx
-	latex refman.tex
 
 refman_2on1.ps: refman.ps
 	psnup -2 refman.ps >refman_2on1.ps

=== debian/changelog ===
libquazip (0.7.1-1) unstable; urgency=medium

  [Andreas Tille]
  * New upstream version
  * Enable changing suffix
  * cme fix dpkg-control
  * remove *-dbg packages since this is autogenerated now
  * delete useless autogenerated doxygen files
  * do not Build-Depend from metapackage qt5-default
  * DEP5 fixes
  * Move packaging to Git
  * Remove deactivated patches
  * Rename packages to reflect the library rename (s/-qt5/5/)
  * Remove unused override

  [Stefan Ahlers]
  * Using CMake instead of qmake
  * Replace -qt5 suffix with suffix provided by CMake (Closes: #805087)
  * debian/patches:
    - Because of using cmake, multiarch_version.patch,
      quazip-qt5-target-name.patch and qztest-link-to-qt5.patch are obsolete
    - Add cmake-fix.patch to backport unreleased changes from upstream
  * Add package for Qt5 headers

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 11:02:57 +0100

=== debian/control ===
Source: libquazip
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Eric Maeker <eric.maeker@gmail.com>,
           Andreas Tille <tille@debian.org>,
           Stefan Ahlers <stef.ahlers@t-online.de>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libqt4-dev (>= 4:4.7.4),
               cmake,
               qtbase5-dev,
               qtchooser,
               libxext-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/libquazip.git
Vcs-Git: git://anonscm.debian.org/debian-med/libquazip.git
Homepage: https://sourceforge.net/projects/quazip/

Package: libquazip1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libquazip0
Replaces: libquazip0
Description: C++ wrapper wrapper for ZIP/UNZIP (Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip1 (= ${binary:Version}),
         libquazip-headers (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Conflicts: libquazip0-dev,
           libquazip1-dev
Replaces: libquazip0-dev,
          libquazip1-dev
Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip5-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Breaks: libquazip1-qt5, libquazip-qt5-1
Provides: libquazip1-qt5, libquazip-qt5-1
Replaces: libquazip1-qt5, libquazip-qt5-1
Description: C++ wrapper wrapper for ZIP/UNZIP (Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 QuaZIP built using Qt5 libraries.

Package: libquazip5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip5-1 (= ${binary:Version}),
         libquazip-headers (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Conflicts: libquazip-qt5-1-dev, libquazip-qt5-dev
Replaces: libquazip-qt5-1-dev, libquazip-qt5-dev
Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.
 .
 QuaZIP built using Qt5 libraries.

Package: libquazip-headers
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Breaks: libquazip1-headers
Conflicts: libquazip0-dev,
           libquazip1-headers
Replaces: libquazip1-headers
Description: C++ wrapper for ZIP/UNZIP (development header files)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the headers of the library.

Package: libquazip5-headers
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (development header files, Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the headers of the Qt5 library.

Package: libquazip-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (documentation)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the API documentation in HTML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This code is released under the BSD-3 Clause
# Created by Eric Maeker, 2012 - 2014
# Modified by Stefan Ahlers, 2016

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable multiarch builds & prepare qmake vars
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
QT4_PATH = build/qt4
QT5_PATH = build/qt5

# This has to be exported to make some magic below work.

%:
	dh $@ --parallel #--with migrations

override_dh_auto_configure:
	mkdir -p $(QT4_PATH) $(QT5_PATH)

	# Qt4 builds - CMake (dynamic and static)
	QT_SELECT=qt4 \
	dh_auto_configure -B$(QT4_PATH) -- -DBUILD_WITH_QT4=ON \
	-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	-DCMAKE_POSITION_INDEPENDENT_CODE=ON 

	# Qt5 builds - CMake (dynamic and static)
	QT_SELECT=qt5 \
	dh_auto_configure -B$(QT5_PATH) -- -DBUILD_WITH_QT4=OFF \
	-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	-DCMAKE_POSITION_INDEPENDENT_CODE=ON

	cp NEWS.txt NEWS

override_dh_auto_build:
	# Qt4 builds - make (dynamic and static)
	QT_SELECT=qt4 dh_auto_build -B$(QT4_PATH)

	# Qt5 builds - make (dynamic and static)
	QT_SELECT=qt5 dh_auto_build -B$(QT5_PATH)

override_dh_auto_clean:
	dh_auto_clean -B$(QT4_PATH)
	dh_auto_clean -B$(QT5_PATH)
	rm -Rf NEWS

override_dh_auto_install:
	# Install Qt4 packages
	dh_auto_install -B$(QT4_PATH) 

	# Install Qt5 packages
	dh_auto_install -B$(QT5_PATH) 

override_dh_installchangelogs:
	dh_installchangelogs -plibquazip1 NEWS upstream
	dh_installchangelogs -plibquazip1-dev NEWS upstream
	dh_installchangelogs -plibquazip5-1 NEWS upstream
	dh_installchangelogs -plibquazip5-dev NEWS upstream
	dh_installchangelogs

override_dh_installdocs:
	dh_installdocs
	find debian -name "*.md5" -delete

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
http://sf.net/quazip/quazip-(.+)\.(?:tar\.gz)
# http://sourceforge.net/projects/quazip/files/quazip/0.4.4/quazip-0.4.4.tar.gz/download

## libquazip 0.7.2

=== CMakeLists.txt ===
project (QuaZip)
cmake_minimum_required(VERSION 2.6)

option(BUILD_WITH_QT4 "Build QuaZip with Qt4 no matter if Qt5 was found" OFF)

if( NOT BUILD_WITH_QT4 )
    # try Qt5 first, and prefer that if found
    find_package(Qt5Core QUIET)
endif()

if (Qt5Core_FOUND)
    set(QTCORE_LIBRARIES ${Qt5Core_LIBRARIES})
    set(QUAZIP_LIB_VERSION_SUFFIX 5)
    # if there is no QT_ROOT, try to deduce it from Qt QtCore include
    if ("${QT_ROOT}" STREQUAL "")
        set(QT_ROOT ${QT_QTCORE_INCLUDE_DIR}/../..)
    endif()
    include_directories(${Qt5Core_INCLUDE_DIRS})

    macro(qt_wrap_cpp)
        qt5_wrap_cpp(${ARGN})
    endmacro()
else()
    set(qt_min_version "4.5.0")
    find_package(Qt4 REQUIRED)
    set(QT_USE_QTGUI false)
    include(${QT_USE_FILE})
    include_directories(${QT_INCLUDES})
    set(QTCORE_LIBRARIES ${QT_QTCORE_LIBRARY})

    macro(qt_wrap_cpp)
        qt4_wrap_cpp(${ARGN})
    endmacro()
endif()

# Use system zlib on unix and Qt ZLIB on Windows
IF(UNIX OR MINGW)
	find_package(ZLIB REQUIRED)
ELSE(UNIX)
	SET(ZLIB_INCLUDE_DIRS "${QT_ROOT}/src/3rdparty/zlib" CACHE STRING "Path to ZLIB headers of Qt")
	SET(ZLIB_LIBRARIES "")
	IF(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
		MESSAGE("Please specify a valid zlib include dir")
	ENDIF(NOT EXISTS "${ZLIB_INCLUDE_DIRS}/zlib.h")
ENDIF(UNIX)

# All build libraries are moved to this directory
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name" FORCE)
set(QUAZIP_LIB_TARGET_NAME quazip${QUAZIP_LIB_VERSION_SUFFIX} CACHE
    INTERNAL "Target name of libquazip" FORCE)

add_subdirectory(quazip)

install(FILES FindQuaZip.cmake RENAME FindQuaZip${QUAZIP_LIB_VERSION_SUFFIX}.cmake DESTINATION ${CMAKE_ROOT}/Modules)

=== debian/changelog ===
libquazip (0.7.2-1) unstable; urgency=medium

  [ Stefan Ahlers ]
  * New upstream version
  * debian/patches:
    - remove cmake-fix.patch because its applied upstream

  [ Andreas Tille ]
  * cme fix dpkg-control
  * hardening=+bindnow

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Sat, 18 Jun 2016 16:02:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               libqt4-dev (>= 4:4.7.4),
+               libqt4-dev,
                cmake,
                qtbase5-dev,
                qtchooser,
                libxext-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/libquazip.git
-Vcs-Git: git://anonscm.debian.org/debian-med/libquazip.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libquazip.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/libquazip.git
 Homepage: https://sourceforge.net/projects/quazip/
 
 Package: libquazip1
@@ -26,7 +26,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libquazip0
 Replaces: libquazip0
-Description: C++ wrapper wrapper for ZIP/UNZIP (Qt4 build)
+Description: C++ wrapper for ZIP/UNZIP (Qt4 build)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
  .
@@ -51,7 +51,7 @@
            libquazip1-dev
 Replaces: libquazip0-dev,
           libquazip1-dev
-Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt4 build)
+Description: C++ wrapper for ZIP/UNZIP (development files, Qt4 build)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
  .
@@ -73,10 +73,13 @@
          ${misc:Depends}
 Suggests: libquazip-doc
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libquazip1-qt5, libquazip-qt5-1
-Provides: libquazip1-qt5, libquazip-qt5-1
-Replaces: libquazip1-qt5, libquazip-qt5-1
-Description: C++ wrapper wrapper for ZIP/UNZIP (Qt5 build)
+Breaks: libquazip1-qt5,
+        libquazip-qt5-1
+Provides: libquazip1-qt5,
+          libquazip-qt5-1
+Replaces: libquazip1-qt5,
+          libquazip-qt5-1
+Description: C++ wrapper for ZIP/UNZIP (Qt5 build)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
  .
@@ -97,9 +100,11 @@
          libquazip-headers (= ${binary:Version}),
          ${misc:Depends},
          zlib1g-dev
-Conflicts: libquazip-qt5-1-dev, libquazip-qt5-dev
-Replaces: libquazip-qt5-1-dev, libquazip-qt5-dev
-Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt5 build)
+Conflicts: libquazip-qt5-1-dev,
+           libquazip-qt5-dev
+Replaces: libquazip-qt5-1-dev,
+          libquazip-qt5-dev
+Description: C++ wrapper for ZIP/UNZIP (development files, Qt5 build)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
  .

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 # Enable multiarch builds & prepare qmake vars
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
